POST

/api/v1/smart_trades/:id/force_start

Permission: SMART_TRADES_WRITESecurity: SIGNED

Forces the immediate execution and opening of a SmartTrade position by market price, bypassing any pending limit conditions or entry criteria.

Path Parameter

idinteger required

Unique Quentrade ID for this SmartTrade entity.

Example Request

POST/api/v1/smart_trades/:id/force_start

Response Parameter

If successful, the response includes an updated copy of the SmartTrade entity with the position opened. SmartTrade Entity

Example Responses

Returns HTTP 201 Created on success, 400 Bad Request if the trade cannot be force started in its current status, 401 Unauthorized if authentication fails, or 404 Not Found if ID is not found.

force_start_smart_trade_201.json
201 Created
{
  "id": 31247949,
  "version": 2,
  "account": {
    "id": 32884189,
    "type": "binance",
    "name": "My Binance",
    "market": "Binance Spot",
    "link": "/accounts/32884189"
  },
  "pair": "USDT_1INCH",
  "instant": false,
  "status": {
    "type": "waiting_position",
    "basic_type": "waiting_position",
    "title": "Pending Position Opened"
  },
  "leverage": {
    "enabled": false
  },
  "position": {
    "type": "buy",
    "editable": false,
    "units": {
      "value": "31.0",
      "editable": false
    },
    "price": {
      "value": "0.2422",
      "value_without_commission": "0.2422",
      "editable": true
    },
    "total": {
      "value": "7.5082"
    },
    "order_type": "limit",
    "status": {
      "type": "panic_sell_pending",
      "basic_type": "panic_sell_pending",
      "title": "Panic closing"
    }
  },
  "take_profit": {
    "enabled": true,
    "price_type": "value",
    "steps": [
      {
        "id": 1089512461,
        "order_type": "limit",
        "editable": true,
        "units": {
          "value": null
        },
        "price": {
          "type": "last",
          "value": "0.2665",
          "percent": null
        },
        "volume": "100.0",
        "total": null,
        "trailing": {
          "enabled": false,
          "percent": null
        },
        "status": {
          "type": "idle",
          "basic_type": "idle",
          "title": "Pending"
        },
        "data": {
          "cancelable": true,
          "panic_sell_available": false
        },
        "position": 1
      }
    ]
  },
  "stop_loss": {
    "enabled": false
  },
  "reduce_funds": {
    "steps": []
  },
  "market_close": {},
  "note": "",
  "note_raw": null,
  "skip_enter_step": false,
  "data": {
    "editable": true,
    "current_price": {
      "bid": "0.2624",
      "ask": "0.2625",
      "last": "0.2622",
      "quote_volume": "2534772.74421",
      "day_change_percent": "4.213"
    },
    "target_price_type": "price",
    "orderbook_price_currency": "USDT",
    "base_order_finished": true,
    "missing_funds_to_close": "0.0",
    "liquidation_price": null,
    "average_enter_price": null,
    "average_close_price": null,
    "average_enter_price_without_commission": null,
    "average_close_price_without_commission": null,
    "panic_sell_available": false,
    "add_funds_available": true,
    "reduce_funds_available": false,
    "force_start_available": false,
    "force_process_available": true,
    "cancel_available": true,
    "finished": false,
    "base_position_step_finished": false,
    "entered_amount": "0.0",
    "entered_total": "0.0",
    "closed_amount": "0.0",
    "closed_total": "0.0",
    "commission": 0.001,
    "created_at": "2024-10-29T19:50:36.196Z",
    "updated_at": "2024-10-29T19:50:37.708Z",
    "type": "smart_trade"
  },
  "profit": {
    "volume": null,
    "usd": null,
    "percent": "0.0",
    "roe": null
  },
  "margin": {
    "amount": null,
    "total": null
  },
  "is_position_not_filled": true
}